<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

# Заголовок>Функции>Шапка
$title = 'Медали';
require_once ('../system/function.php');
require_once ('../system/header.php');
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$_GET['id']."'"));
# закрываем от гостей
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
switch($_GET['mod'])
{
default:
if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}
$query = mysql_query("SELECT * FROM `medals` WHERE `id_us` = '".$_GET['id']."'");
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `medals` WHERE `id_us` = '".$_GET['id']."'"),0);
while ($medals = mysql_fetch_assoc($query))
{
echo '<div class="podmenu"><img src="'.$HOME.'/images/medals/'.$medals['num'].'.png"> -'.bb(smile($medals['za'])).'<br/>Награждал: '.nick($medals['id_adm']).' ('.vremja($medals['time']).')';
if($user['level']>=3){
echo '<a href="/editmed'.$medals['id'].'"> [ред]</a>';
echo '<a href="/delmed'.$medals['id'].'"> [x]</a>';
}
echo '</div>';
}

if($user['level']>=3){
if($user['id'] != $ank['id']) {

echo '<div class="podmenu"><a href="?mod=add">Выдать медаль</a></div>';
}
}
if($k_post < 1) {
echo '<div class="podmenu"><center><b>Данный пользаватель еще не заслужил наград.</b></center></div>';
}

break;

case 'add':
if($ank['id'] == $user['id'])
{
echo err($title, 'Вы хотите наградить медалью самого себя?Ну вы мерзавец!');
require_once ('../system/footer.php'); exit;
}
if($user['level']<2){
echo $err;
}else{
if(isset($_REQUEST['ok'])) {
$medals = strong($_POST['medals']);
if($medals > 8) {
echo err('У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'наградил вас [url=".$HOME."/medals".$ank['id']."]медалкой[/url]'");
mysql_query("INSERT INTO `medals` SET `id_us`='".$_GET['id']."', `id_adm`='".$users['id']."', num='".$medals."', `za`='".strong($_POST['za'])."', `time`='".time()."'");
echo '<div class="podmenu"><center>Вы успешно наградили юзера<img src="'.$HOME.'/images/medals/'.$medals.'.png" alt="8" /></center></div>
<div class="menudiv"><a href="'.$HOME.'/medals'.$_GET['id'].'" class="k_menu">Назад в анкету</div></a>';
require_once ('../system/footer.php');
exit();
}
echo '<div class="podmenu"><form action="" method="post">
За что:<br/>
<input type="text" name="za"><br/>
<input type="radio" name="medals" value="1" /><img src="'.$HOME.'/images/medals/1.png" alt="8" /> 1<br/>
<input type="radio" name="medals" value="2" /><img src="'.$HOME.'/images/medals/2.png" alt="8" /> 2<br/>
<input type="radio" name="medals" value="3" /><img src="'.$HOME.'/images/medals/3.png" alt="8" /> 3<br/>
<input type="radio" name="medals" value="4" /><img src="'.$HOME.'/images/medals/4.png" alt="8" /> 4<br/>
<input type="radio" name="medals" value="5" /><img src="'.$HOME.'/images/medals/5.png" alt="8" /> 5<br/>
<input type="radio" name="medals" value="6" /><img src="'.$HOME.'/images/medals/6.png" alt="8" /> 6<br/>
<input type="radio" name="medals" value="7" /><img src="'.$HOME.'/images/medals/7.png" alt="8" /> 7<br/>
<input type="radio" name="medals" value="8" /><img src="'.$HOME.'/images/medals/8.png" alt="8" /> 8<br/>
<input type="submit" value="Наградить" name="ok"/></form>
</div>';
}
break;
}
require_once ('../system/footer.php');
?>